Generation Framework

## org.eclipse.gmf.gmfgraph
Interface Layout

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  BorderLayout, CustomLayout, FlowLayout, GridLayout, LayoutRef, StackLayout, XYLayout

All Known Implementing Classes:
  BorderLayoutImpl, CustomLayoutImpl, FlowLayoutImpl, GridLayoutImpl, LayoutRefImpl, StackLayoutImpl, XYLayoutImpl

    public interface Layout

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Layout'.

See Also:
  `GMFGraphPackage.getLayout()`
** Generated **
Model:
  interface="true" abstract="true"

Method Summary

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.